Find the perfect gift for the grad in your life with Graduation gifts that connects us from AT&T.
The Samsung Galaxy S24
jen-jen's profile

Contributor

 • 

1 Message

Wednesday, June 14th, 2017 2:15 AM

Samsung s7 Update: baseband requirement

Just received a new Samsung Galaxy s7 to replace the one that committed suicide a few days ago. Can't get the latest software update on this one, even though I was using it on my previous s7. Went through all the troubleshooting steps and it seems this phone doesn't have the baseband version required for the software update. What's a baseband? And how do I get the proper version so I can install the latest software update?
*(My s7 was purchased directly through AT&T. And the replacement--new, not refurbished--came from AT&T as well. In case that matters.)

Community Support

 • 

232.4K Messages

7 years ago

Good afternoon @jen-jen,

 

Oh no, I’m sorry to hear about your previous device! I’m glad you were able to get a new replacement though, that’s definitely great news. You came to the right place with your questions regarding the missing update; I have a solution which should fix it right away!

 

The baseband version is also another component in your device which requires an update, and it must be done before the rest of the phone can be made current. My recommendation would be to bring the phone to a Samsung Experience Store; you can find them inside of any Best Buys. One of the representatives there will be able to flash it to the latest version for you. This way we can ensure all components are fully updated. That’s all there is!

 

Please let me know if you have any questions regarding this or anything else. Have a great weekend!

 

Rafael, AT&T Community Specialist

Not finding what you're looking for?
New to AT&T Community?
New to the AT&T Community? Start by visiting the Community How-To.
New to the AT&T Community?
Visit the Community How-To.